<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.xrtygis.mapper.CostbgwateryearMapper">

    <resultMap id="costbgwateryearMap" type="com.tofly.xrtygis.entity.Costbgwateryear">
        <id property="id" column="ID"/>
        <result property="year" column="YEAR"/>
        <result property="state" column="STATE"/>
        <result property="createTime" column="CREATE_TIME"/>
        <result property="createUser" column="CREATE_USER"/>
        <result property="overTime" column="OVER_TIME"/>
        <association property="createUserName" column="CREATE_USER"
                     select="com.tofly.baseapi.mapper.ToflyCodeCommonMapper.getUserName"></association>
    </resultMap>


</mapper>
